LPCOpen Platform for LPC18XX/43XX microcontrollers: CCAN_IF_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CCAN_IF_T Struct Reference
CHIP: LPC18xx/43xx CCAN driver

## Detailed Description

CCAN message interface register block structure.

Definition at line 47 of file ccan_18xx_43xx.h.

`#include "ccan_18xx_43xx.h"`

## Data Fields
__IO uint32_t | CMDREQ
__IO uint32_t | CMDMSK
__IO uint32_t | MSK1
__IO uint32_t | MSK2
__IO uint32_t | ARB1
__IO uint32_t | ARB2
__IO uint32_t | MCTRL
__IO uint32_t | DA1
__IO uint32_t | DA2
__IO uint32_t | DB1
__IO uint32_t | DB2
__I uint32_t | RESERVED [13]

## Field Documentation

__IO uint32_t ARB1

Message interface arbitration 1

Definition at line 52 of file ccan_18xx_43xx.h.

__IO uint32_t ARB2

Message interface arbitration 2

Definition at line 53 of file ccan_18xx_43xx.h.

__IO uint32_t CMDMSK

Message interface command mask

Definition at line 49 of file ccan_18xx_43xx.h.

__IO uint32_t CMDREQ

< C_CAN message interface Structure Message interface command request

Definition at line 48 of file ccan_18xx_43xx.h.

__IO uint32_t DA1

Message interface data A1

Definition at line 55 of file ccan_18xx_43xx.h.

__IO uint32_t DA2

Message interface data A2

Definition at line 56 of file ccan_18xx_43xx.h.

__IO uint32_t DB1

Message interface data B1

Definition at line 57 of file ccan_18xx_43xx.h.

__IO uint32_t DB2

Message interface data B2

Definition at line 58 of file ccan_18xx_43xx.h.

__IO uint32_t MCTRL

Message interface message control

Definition at line 54 of file ccan_18xx_43xx.h.

__IO uint32_t MSK1

Message interface mask 1

Definition at line 50 of file ccan_18xx_43xx.h.

__IO uint32_t MSK2

Message interface mask 2

Definition at line 51 of file ccan_18xx_43xx.h.

__I uint32_t RESERVED[13]

Definition at line 59 of file ccan_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/ccan_18xx_43xx.h